<?xml version="1.0" encoding="UTF-8"?>

<!--
*
* JIMS ( http://forge.scilab.org/index.php/p/JIMS/ ) - This file is a part of JIMS
* Copyright (C) 2010 - 2011 - Calixte DENIZET <calixte@contrib.scilab.org>
*
* This file must be used under the terms of the CeCILL.
* This source file is licensed as described in the file COPYING, which
* you should have received as part of this distribution.  The terms
* are also available at
* http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
*
*
-->

<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="jcast">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>jcast</refname>
    <refpurpose>Cast a Java object into an other one.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      jcast(javaObject, class)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>javaObject</term>
        <listitem>
          <para>A mlist typed _EObj with _EnvId equal to 0</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>class</term>
        <listitem>
          <para>A string giving the class name or a mlist typed _EClass with _EnvId equal 0 got with jimport or jcompile</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      Gives the possisbility to cast an object into another one with the given class if it is possible.
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">
      <![CDATA[
               jimport java.lang.Double;
	       jimport java.lang.Number;

               d = Double.new("1.23456");
               jgetclassname(d)
               e = jcast(d, "java.lang.Number");
	       // or as an alternative
	       f = jcast(d, Number);
               jgetclassname(e)
               jremove e d f;
      ]]></programlisting>
  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="jgetclassname">jgetclassname</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Author</title>
    <simplelist type="vert">
      <member>Calixte Denizet</member>
    </simplelist>
  </refsection>
</refentry>
